# $Revision: 1.10 $, $Date: 2007-12-24 00:44:10 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	HTML
%define		pnam	FillInForm
Summary:	Populates HTML Forms with CGI data
Summary(pl.UTF-8):	Wypełnia formę HTML z danymi CGI
Name:		perl-HTML-FillInForm
Version:	2.00
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f2ab6814077e3a2d41a456f34ecb028f
URL:		http://search.cpan.org/dist/HTML-FillInForm/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-HTML-Parser >= 3.26
%endif
Requires:	perl-dirs
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module automatically inserts data from a previous HTML form into
the HTML input and select tags. It is a subclass of HTML::Parser and
uses it to parse the HTML and insert the values into the form tags.

%description -l pl.UTF-8
Moduł automatycznie wstawia dane z poprzedniego formularza HTML w
wejście i tagi select HTML-a. Jest to podklasa HTML::Parser i korzysta
z niego do parsowania HTML i wstawiania danych w tagi formularza.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/HTML/FillInForm.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-HTML-FillInForm.spec,v $
Revision 1.10  2007-12-24 00:44:10  zbyniu
- up to 2.00

Revision 1.9  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.8  2007/02/12 00:49:33  baggins
- converted to UTF-8

Revision 1.7  2006/08/22 19:24:54  glen
- missing BR for tests, rel 3

Revision 1.6  2006/08/22 19:08:54  glen
- HTML dir already in perl-dirs, rel 2

Revision 1.5  2005/01/03 18:17:14  adamg
- updated to 1.05

Revision 1.4  2004/11/03 22:30:25  paladine
- formatting

Revision 1.3  2004/07/26 18:21:24  qboosh
- more verbose/grepable file list

Revision 1.2  2004/07/26 12:47:08  undefine
- release 2 for AC

Revision 1.1  2004/07/26 12:25:47  undefine
- initital pld version
